package com.agri.system.domain;

import com.agri.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 无线传输线管数据对象 sys_special_dtu_data
 * 
 * @author lld
 * @date 2026-01-11
 */
@TableName("sys_special_dtu_data")
public class SysSpecialDtuData
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 设备唯一标识(IMEI/DeviceId) */
    @Excel(name = "设备唯一标识(IMEI/DeviceId)")
    private String imei;

    /** 设备上报时间戳(ms或s，建议统一ms) */
    @Excel(name = "设备上报时间戳(ms或s，建议统一ms)")
    private Long ts;

    /** ts转换后的正常时间(由服务端转换入库) */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @Excel(name = "ts转换后的正常时间(由服务端转换入库)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 温度1(℃) */
    @Excel(name = "温度1(℃)")
    private BigDecimal temp1;

    /** 湿度1(%RH) */
    @Excel(name = "湿度1(%RH)")
    private BigDecimal humi1;

    /** 温度2(℃) */
    @Excel(name = "温度2(℃)")
    private BigDecimal temp2;

    /** 湿度2(%RH) */
    @Excel(name = "湿度2(%RH)")
    private BigDecimal humi2;

    /** 温度3(℃) */
    @Excel(name = "温度3(℃)")
    private BigDecimal temp3;

    /** 湿度3(%RH) */
    @Excel(name = "湿度3(%RH)")
    private BigDecimal humi3;

    /** 温度4(℃) */
    @Excel(name = "温度4(℃)")
    private BigDecimal temp4;

    /** 湿度4(%RH) */
    @Excel(name = "湿度4(%RH)")
    private BigDecimal humi4;

    /** 温度5(℃) */
    @Excel(name = "温度5(℃)")
    private BigDecimal temp5;

    /** 湿度5(%RH) */
    @Excel(name = "湿度5(%RH)")
    private BigDecimal humi5;

    /** 温度6(℃) */
    @Excel(name = "温度6(℃)")
    private BigDecimal temp6;

    /** 湿度6(%RH) */
    @Excel(name = "湿度6(%RH)")
    private BigDecimal humi6;

    /** 温度7(℃) */
    @Excel(name = "温度7(℃)")
    private BigDecimal temp7;

    /** 湿度7(%RH) */
    @Excel(name = "湿度7(%RH)")
    private BigDecimal humi7;

    /** 温度8(℃) */
    @Excel(name = "温度8(℃)")
    private BigDecimal temp8;

    /** 湿度8(%RH) */
    @Excel(name = "湿度8(%RH)")
    private BigDecimal humi8;

    /** 温度9(℃) */
    @Excel(name = "温度9(℃)")
    private BigDecimal temp9;

    /** 湿度9(%RH) */
    @Excel(name = "湿度9(%RH)")
    private BigDecimal humi9;

    /** 温度10(℃) */
    @Excel(name = "温度10(℃)")
    private BigDecimal temp10;

    /** 湿度10(%RH) */
    @Excel(name = "湿度10(%RH)")
    private BigDecimal humi10;

    /** 温度11(℃) */
    @Excel(name = "温度11(℃)")
    private BigDecimal temp11;

    /** 湿度11(%RH) */
    @Excel(name = "湿度11(%RH)")
    private BigDecimal humi11;

    /** 温度12(℃) */
    @Excel(name = "温度12(℃)")
    private BigDecimal temp12;

    /** 湿度12(%RH) */
    @Excel(name = "湿度12(%RH)")
    private BigDecimal humi12;

    /** 原始JSON元信息(原始上报码/额外字段) */
    @Excel(name = "原始JSON元信息(原始上报码/额外字段)")
    private String raw;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setImei(String imei) 
    {
        this.imei = imei;
    }

    public String getImei() 
    {
        return imei;
    }

    public void setTs(Long ts) 
    {
        this.ts = ts;
    }

    public Long getTs() 
    {
        return ts;
    }

    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }

    public void setTemp1(BigDecimal temp1) 
    {
        this.temp1 = temp1;
    }

    public BigDecimal getTemp1() 
    {
        return temp1;
    }

    public void setHumi1(BigDecimal humi1) 
    {
        this.humi1 = humi1;
    }

    public BigDecimal getHumi1() 
    {
        return humi1;
    }

    public void setTemp2(BigDecimal temp2) 
    {
        this.temp2 = temp2;
    }

    public BigDecimal getTemp2() 
    {
        return temp2;
    }

    public void setHumi2(BigDecimal humi2) 
    {
        this.humi2 = humi2;
    }

    public BigDecimal getHumi2() 
    {
        return humi2;
    }

    public void setTemp3(BigDecimal temp3) 
    {
        this.temp3 = temp3;
    }

    public BigDecimal getTemp3() 
    {
        return temp3;
    }

    public void setHumi3(BigDecimal humi3) 
    {
        this.humi3 = humi3;
    }

    public BigDecimal getHumi3() 
    {
        return humi3;
    }

    public void setTemp4(BigDecimal temp4) 
    {
        this.temp4 = temp4;
    }

    public BigDecimal getTemp4() 
    {
        return temp4;
    }

    public void setHumi4(BigDecimal humi4) 
    {
        this.humi4 = humi4;
    }

    public BigDecimal getHumi4() 
    {
        return humi4;
    }

    public void setTemp5(BigDecimal temp5) 
    {
        this.temp5 = temp5;
    }

    public BigDecimal getTemp5() 
    {
        return temp5;
    }

    public void setHumi5(BigDecimal humi5) 
    {
        this.humi5 = humi5;
    }

    public BigDecimal getHumi5() 
    {
        return humi5;
    }

    public void setTemp6(BigDecimal temp6) 
    {
        this.temp6 = temp6;
    }

    public BigDecimal getTemp6() 
    {
        return temp6;
    }

    public void setHumi6(BigDecimal humi6) 
    {
        this.humi6 = humi6;
    }

    public BigDecimal getHumi6() 
    {
        return humi6;
    }

    public void setTemp7(BigDecimal temp7) 
    {
        this.temp7 = temp7;
    }

    public BigDecimal getTemp7() 
    {
        return temp7;
    }

    public void setHumi7(BigDecimal humi7) 
    {
        this.humi7 = humi7;
    }

    public BigDecimal getHumi7() 
    {
        return humi7;
    }

    public void setTemp8(BigDecimal temp8) 
    {
        this.temp8 = temp8;
    }

    public BigDecimal getTemp8() 
    {
        return temp8;
    }

    public void setHumi8(BigDecimal humi8) 
    {
        this.humi8 = humi8;
    }

    public BigDecimal getHumi8() 
    {
        return humi8;
    }

    public void setTemp9(BigDecimal temp9) 
    {
        this.temp9 = temp9;
    }

    public BigDecimal getTemp9() 
    {
        return temp9;
    }

    public void setHumi9(BigDecimal humi9) 
    {
        this.humi9 = humi9;
    }

    public BigDecimal getHumi9() 
    {
        return humi9;
    }

    public void setTemp10(BigDecimal temp10) 
    {
        this.temp10 = temp10;
    }

    public BigDecimal getTemp10() 
    {
        return temp10;
    }

    public void setHumi10(BigDecimal humi10) 
    {
        this.humi10 = humi10;
    }

    public BigDecimal getHumi10() 
    {
        return humi10;
    }

    public void setTemp11(BigDecimal temp11) 
    {
        this.temp11 = temp11;
    }

    public BigDecimal getTemp11() 
    {
        return temp11;
    }

    public void setHumi11(BigDecimal humi11) 
    {
        this.humi11 = humi11;
    }

    public BigDecimal getHumi11() 
    {
        return humi11;
    }

    public void setTemp12(BigDecimal temp12) 
    {
        this.temp12 = temp12;
    }

    public BigDecimal getTemp12() 
    {
        return temp12;
    }

    public void setHumi12(BigDecimal humi12) 
    {
        this.humi12 = humi12;
    }

    public BigDecimal getHumi12() 
    {
        return humi12;
    }

    public void setRaw(String raw) 
    {
        this.raw = raw;
    }

    public String getRaw() 
    {
        return raw;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("imei", getImei())
            .append("ts", getTs())
            .append("time", getTime())
            .append("temp1", getTemp1())
            .append("humi1", getHumi1())
            .append("temp2", getTemp2())
            .append("humi2", getHumi2())
            .append("temp3", getTemp3())
            .append("humi3", getHumi3())
            .append("temp4", getTemp4())
            .append("humi4", getHumi4())
            .append("temp5", getTemp5())
            .append("humi5", getHumi5())
            .append("temp6", getTemp6())
            .append("humi6", getHumi6())
            .append("temp7", getTemp7())
            .append("humi7", getHumi7())
            .append("temp8", getTemp8())
            .append("humi8", getHumi8())
            .append("temp9", getTemp9())
            .append("humi9", getHumi9())
            .append("temp10", getTemp10())
            .append("humi10", getHumi10())
            .append("temp11", getTemp11())
            .append("humi11", getHumi11())
            .append("temp12", getTemp12())
            .append("humi12", getHumi12())
            .append("raw", getRaw())
            .toString();
    }
}
